Package org.kapott.hbci.sepa.jaxb.pain_008_002_01

# Class GroupHeaderSDD

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_008_002_01.GroupHeaderSDD

public class GroupHeaderSDD extends Object

Java class for GroupHeaderSDD complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GroupHeaderSDD">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MsgId" type="{urn:swift:xsd:$pain.008.002.01}RestrictedIdentification1"/>
             <element name="CreDtTm" type="{urn:swift:xsd:$pain.008.002.01}ISODateTime"/>
             <element name="BtchBookg" type="{urn:swift:xsd:$pain.008.002.01}BatchBookingIndicator" minOccurs="0"/>
             <element name="NbOfTxs" type="{urn:swift:xsd:$pain.008.002.01}Max15NumericText"/>
             <element name="CtrlSum" type="{urn:swift:xsd:$pain.008.002.01}DecimalNumber" minOccurs="0"/>
             <element name="Grpg" type="{urn:swift:xsd:$pain.008.002.01}Grouping1CodeSDD"/>
             <element name="InitgPty" type="{urn:swift:xsd:$pain.008.002.01}PartyIdentificationSDD1"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Boolean`
`btchBookg`
`protected XMLGregorianCalendar`
`creDtTm`
`protected BigDecimal`
`ctrlSum`
`protected Grouping1CodeSDD`
`grpg`
`protected PartyIdentificationSDD1`
`initgPty`
`protected String`
`msgId`
`protected String`
`nbOfTxs`

## Constructor Summary

Constructors
Constructor
Description
`GroupHeaderSDD()`

## Method Summary

Modifier and Type
Method
Description
`XMLGregorianCalendar`
`getCreDtTm()`
Gets the value of the creDtTm property.
`BigDecimal`
`getCtrlSum()`
Gets the value of the ctrlSum property.
`Grouping1CodeSDD`
`getGrpg()`
Gets the value of the grpg property.
`PartyIdentificationSDD1`
`getInitgPty()`
Gets the value of the initgPty property.
`String`
`getMsgId()`
Gets the value of the msgId property.
`String`
`getNbOfTxs()`
Gets the value of the nbOfTxs property.
`Boolean`
`isBtchBookg()`
Gets the value of the btchBookg property.
`void`
`setBtchBookg(Boolean value)`
Sets the value of the btchBookg property.
`void`
`setCreDtTm(XMLGregorianCalendar value)`
Sets the value of the creDtTm property.
`void`
`setCtrlSum(BigDecimal value)`
Sets the value of the ctrlSum property.
`void`
`setGrpg(Grouping1CodeSDD value)`
Sets the value of the grpg property.
`void`
`setInitgPty(PartyIdentificationSDD1 value)`
Sets the value of the initgPty property.
`void`
`setMsgId(String value)`
Sets the value of the msgId property.
`void`
`setNbOfTxs(String value)`
Sets the value of the nbOfTxs property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### msgId

protected String msgId

### creDtTm

protected XMLGregorianCalendar creDtTm

### btchBookg

protected Boolean btchBookg

### nbOfTxs

protected String nbOfTxs

### ctrlSum

protected BigDecimal ctrlSum

### grpg

protected Grouping1CodeSDD grpg

### initgPty

protected PartyIdentificationSDD1 initgPty

## Constructor Details

### GroupHeaderSDD

public GroupHeaderSDD()

## Method Details

### getMsgId

public String getMsgId()
Gets the value of the msgId property.

Returns:
  possible object is `String`

### setMsgId

public void setMsgId(String value)
Sets the value of the msgId property.

Parameters:
  `value` - allowed object is `String`

### getCreDtTm

public XMLGregorianCalendar getCreDtTm()
Gets the value of the creDtTm property.

Returns:
  possible object is `XMLGregorianCalendar`

### setCreDtTm

public void setCreDtTm(XMLGregorianCalendar value)
Sets the value of the creDtTm property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### isBtchBookg

public Boolean isBtchBookg()
Gets the value of the btchBookg property.

Returns:
  possible object is `Boolean`

### setBtchBookg

public void setBtchBookg(Boolean value)
Sets the value of the btchBookg property.

Parameters:
  `value` - allowed object is `Boolean`

### getNbOfTxs

public String getNbOfTxs()
Gets the value of the nbOfTxs property.

Returns:
  possible object is `String`

### setNbOfTxs

public void setNbOfTxs(String value)
Sets the value of the nbOfTxs property.

Parameters:
  `value` - allowed object is `String`

### getCtrlSum

public BigDecimal getCtrlSum()
Gets the value of the ctrlSum property.

Returns:
  possible object is `BigDecimal`

### setCtrlSum

public void setCtrlSum(BigDecimal value)
Sets the value of the ctrlSum property.

Parameters:
  `value` - allowed object is `BigDecimal`

### getGrpg

public Grouping1CodeSDD getGrpg()
Gets the value of the grpg property.

Returns:
  possible object is `Grouping1CodeSDD`

### setGrpg

public void setGrpg(Grouping1CodeSDD value)
Sets the value of the grpg property.

Parameters:
  `value` - allowed object is `Grouping1CodeSDD`

### getInitgPty

public PartyIdentificationSDD1 getInitgPty()
Gets the value of the initgPty property.

Returns:
  possible object is `PartyIdentificationSDD1`

### setInitgPty

public void setInitgPty(PartyIdentificationSDD1 value)
Sets the value of the initgPty property.

Parameters:
  `value` - allowed object is `PartyIdentificationSDD1`